package com.diagbot.facade;

import com.diagbot.exception.CommonErrorCode;
import com.diagbot.exception.CommonException;
import com.diagbot.util.CdssLogUtil;
import com.diagbot.util.StringUtil;
import com.diagbot.vo.LogTestVO;
import org.springframework.stereotype.Component;

/**
 * @Description:
 * @author: gaodm
 * @time: 2021/10/20 10:57
 */
@Component
public class LogTestFacade {
    public Boolean logTest(LogTestVO logTestVO) {
        if (logTestVO.getType().equals(1)) {
            //抛错
            throw new CommonException(CommonErrorCode.SERVER_IS_ERROR);
        } else if (logTestVO.getType().equals(2)) {
            paramLog(logTestVO);
        } else {
            /** DO NOTHING*/
        }
        return true;
    }

    /**
     * 日志里面加入参数
     *
     * @param logTestVO
     * @return
     */
    private LogTestVO paramLog(LogTestVO logTestVO) {
        LogTestVO logTestVOResp = new LogTestVO();
        logTestVOResp.setMsg("返回参数");
        logTestVOResp.setType(4);
        //示例入参设置
        CdssLogUtil.addBizReq(logTestVO);
        CdssLogUtil.addBizReq(logTestVO);
        //出参设置
        CdssLogUtil.addBizResp(logTestVOResp);
        CdssLogUtil.addBizResp(logTestVOResp);
        CdssLogUtil.addBizResp(logTestVOResp);
        return logTestVOResp;
    }
}
